
%define api		2
%define major		0
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

Summary:	An extension library for Xfce desktop environment
Name:		exo
Version:	4.18.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		https://www.xfce.org
Source:		https://archive.xfce.org/src/xfce/exo/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	xfce4-dev-tools
BuildRequires:	intltool
BuildRequires:	perl-URI
BuildRequires:  lib64xfce4util-devel
BuildRequires:	lib64xfce4ui2-devel
BuildRequires: lib64gtk+3.0-devel
Obsoletes: %{name}-doc

%description
This is libexo, an extension library to Xfce, developed by os-cillation. While
Xfce comes with quite a few libraries that are targeted at desktop development,
libexo is targeted at application development.

%package -n %{libname}
Summary:	An extension library for Xfce
Group:		Graphical desktop/XFCE
License:	LGPLv2+
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
Exo is an Xfce library targeted at application development. It contains various
custom widgets and APIs extending the functionality of GLib and GTK+. It also
ships utilities for defining preferred applications, mounting storage devices
and more.

%package -n %{develname}
Summary:	Development files, headers and documentation for libexo
Group:		Graphical desktop/XFCE
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files, headers and documentation for libexo.

%prep
%setup -q

%build
%xdt_autogen
%configure2_5x --disable-static --disable-gtkdoc
%make_build

%install
rm -rf %buildroot
%make_install

# don't ship .la
find %{buildroot} -name "*.la" -delete

%files
%{_bindir}
%{_datadir}

%files -n %{libname}
%{_libdir}/libexo-%{api}.so.%{major}*

%files -n %{develname}
%{_libdir}/libexo-%{api}.so
%{_libdir}/pkgconfig/exo-%{api}.pc
%{_includedir}/exo-%{api}/

%changelog
* Thu Dec 15 2022 tex - 4.18.0-1pclos2022
- new version

* Mon Dec 12 2022 tex - 4.17.4-1pclos2022
- prepare for 4.18 final
